--LOAD--
function love.load()

	gr = love.graphics
	getW = gr.getWidth()
	getH = gr.getHeight()
	
	require "stars"
	require "comets"
end

--UPDATE--
function love.update(dt)

	stars:update()
	if comet.e then comet:update(dt) end
end

--DRAW--
function love.draw()

	stars:draw()
	if comet.e then comet:draw() end
end

--KEYPRESSED--
function love.keypressed(key)

	if key == "escape"
	or key == "return" then
	
		love.event.push("quit")
	end
	
	if key == "tab"
	or key == " " then
	
		comet:new()
	end
end
